Subject: [hrpc] Draft guidelines: updates vs obsoletes

From: Shivan Kaul Sahib <[email-masked]>
Date: Thu, 30 Jul 2020 14:16:37 -0700

Hi all,

I mentioned in the recent HRPC meeting that I was struggling with how
draft-guidelines <https://tools.ietf.org/html/draft-irtf-hrpc-guidelines-04>
relates to RFC 8280. After some more thought, I think it would help with my
confusion if draft-guidelines was intended to *obsolete* RFC 8280, instead
of merely updating it.

"Updated version" (from the abstract) sounds like this document will
supersede RFC 8280 and can be used *in place of *it (RFC 2223
<https://tools.ietf.org/html/rfc2223#section-12>, section 12). If it is
meant to be an actual update i.e. both documents can be used independently,
then I would expect the new document to explicitly mention the
text/sections that are updated (I like the idea of having a questionnaire
in the Appendix of draft-guidelines btw)

Thoughts?
Shivan

---

From: Niels ten Oever <[email-masked]>
Date: Fri, 31 Jul 2020 11:15:26 +0200

Hi Shivan,

In my humble opinion, draft-guidelines only updates section 6 of RFC8280. We could add this to draft-guidelines. 

Best,

Niels

On 7/30/20 11:16 PM, Shivan Kaul Sahib wrote:
> Hi all,
> 
> I mentioned in the recent HRPC meeting that I was struggling with how draft-guidelines <https://tools.ietf.org/html/draft-irtf-hrpc-guidelines-04> relates to RFC 8280. After some more thought, I think it would help with my confusion if draft-guidelines was intended to /obsolete/ RFC 8280, instead of merely updating it. 
> 
> "Updated version" (from the abstract) sounds like this document will supersede RFC 8280 and can be used /in place of /it (RFC 2223 <https://tools.ietf.org/html/rfc2223#section-12>, section 12). If it is meant to be an actual update i.e. both documents can be used independently, then I would expect the new document to explicitly mention the text/sections that are updated (I like the idea of having a questionnaire in the Appendix of draft-guidelines btw)
> 
> Thoughts? 
> Shivan

-- 
Niels ten Oever
Researcher and PhD Candidate - DATACTIVE Research Group - University of Amsterdam
Postdoctoral Scholar (abd) - Communications Department - Texas A&M University
Research Fellow - Centre for Internet and Human Rights - European University Viadrina
Associated Scholar - Centro de Tecnologia e Sociedade - Fundação Getúlio Vargas

W: https://nielstenoever.net
E: [email-masked]
T: @nielstenoever
P/S/WA: +31629051853
PGP: 2458 0B70 5C4A FD8A 9488 643A 0ED8 3F3A 468A C8B3